summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--.github/workflows/accelsim.yml33
-rwxr-xr-xshort-tests-accelsim.sh39
-rwxr-xr-xshort-tests-cmake.sh6
-rwxr-xr-xshort-tests.sh6
4 files changed, 78 insertions, 6 deletions
diff --git a/.github/workflows/accelsim.yml b/.github/workflows/accelsim.yml
new file mode 100644
index 0000000..7410352
--- /dev/null
+++ b/.github/workflows/accelsim.yml
@@ -0,0 +1,33 @@
+# Test backend changes with Accel-Sim
+
+name: Short-Tests-AccelSim
+
+# Controls when the workflow will run
+on:
+ push:
+ branches-ignore:
+ - "gh-readonly-queue**"
+ merge_group:
+ pull_request:
+
+ # Allows you to run this workflow manually from the Actions tab
+ workflow_dispatch:
+
+# By default regress against accel-sim's dev branch
+env:
+ ACCELSIM_BRANCH: dev
+
+# A workflow run is made up of one or more jobs that can run sequentially or in parallel
+jobs:
+ build-QV100:
+ runs-on: ubuntu-latest
+ container:
+ image: tgrogers/accel-sim_regress:Ubuntu-22.04-cuda-11.7
+
+ # Steps represent a sequence of tasks that will be executed as part of the job
+ steps:
+ # Checks-out your repository under $GITHUB_WORKSPACE, so your job can access it
+ - uses: actions/checkout@v4
+ - name: Run Simulation
+ run: /bin/bash $GITHUB_WORKSPACE/short-tests-accelsim.sh
+
diff --git a/short-tests-accelsim.sh b/short-tests-accelsim.sh
new file mode 100755
index 0000000..5cb4d2c
--- /dev/null
+++ b/short-tests-accelsim.sh
@@ -0,0 +1,39 @@
+if [ ! -n "$CUDA_INSTALL_PATH" ]; then
+ echo "ERROR ** Install CUDA Toolkit and set CUDA_INSTALL_PATH.";
+ exit 1;
+fi
+
+if [ ! -n "$ACCELSIM_BRANCH" ]; then
+ echo "ERROR ** set the ACCELSIM_BRANCH env variable";
+ exit 1;
+fi
+
+if [ ! -n "$GPUAPPS_ROOT" ]; then
+ echo "ERROR ** GPUAPPS_ROOT to a location where the apps have been compiled";
+ exit 1;
+fi
+
+git config --system --add safe.directory '*'
+
+export PATH=$CUDA_INSTALL_PATH/bin:$PATH
+source ./setup_environment
+make -j
+
+git clone https://github.com/accel-sim/accel-sim-framework.git
+
+# Build accel-sim
+cd accel-sim-framework
+git checkout $ACCELSIM_BRANCH
+source ./gpu-simulator/setup_environment.sh
+make -j -C ./gpu-simulator
+
+# Get rodinia traces
+rm -rf ./hw_run/rodinia_2.0-ft
+wget https://engineering.purdue.edu/tgrogers/accel-sim/traces/tesla-v100/latest/rodinia_2.0-ft.tgz
+mkdir -p ./hw_run
+tar -xzvf rodinia_2.0-ft.tgz -C ./hw_run
+rm rodinia_2.0-ft.tgz
+
+# Run rodinia traces
+./util/job_launching/run_simulations.py -C QV100-SASS -B rodinia_2.0-ft -T ./hw_run/rodinia_2.0-ft/9.1 -N myTest
+./util/job_launching/monitor_func_test.py -v -N myTest
diff --git a/short-tests-cmake.sh b/short-tests-cmake.sh
index e414441..23cf66c 100755
--- a/short-tests-cmake.sh
+++ b/short-tests-cmake.sh
@@ -1,16 +1,16 @@
if [ ! -n "$CUDA_INSTALL_PATH" ]; then
echo "ERROR ** Install CUDA Toolkit and set CUDA_INSTALL_PATH.";
- exit;
+ exit 1;
fi
if [ ! -n "$CONFIG" ]; then
echo "ERROR ** set the CONFIG env variable to one of those found in ./accel-sim-framework/util/job_launching/configs/define-standard-cfgs.yml";
- exit;
+ exit 1;
fi
if [ ! -n "$GPUAPPS_ROOT" ]; then
echo "ERROR ** GPUAPPS_ROOT to a location where the apps have been compiled";
- exit;
+ exit 1;
fi
git config --system --add safe.directory '*'
diff --git a/short-tests.sh b/short-tests.sh
index 44f265a..a1db762 100755
--- a/short-tests.sh
+++ b/short-tests.sh
@@ -1,16 +1,16 @@
if [ ! -n "$CUDA_INSTALL_PATH" ]; then
echo "ERROR ** Install CUDA Toolkit and set CUDA_INSTALL_PATH.";
- exit;
+ exit 1;
fi
if [ ! -n "$CONFIG" ]; then
echo "ERROR ** set the CONFIG env variable to one of those found in ./accel-sim-framework/util/job_launching/configs/define-standard-cfgs.yml";
- exit;
+ exit 1;
fi
if [ ! -n "$GPUAPPS_ROOT" ]; then
echo "ERROR ** GPUAPPS_ROOT to a location where the apps have been compiled";
- exit;
+ exit 1;
fi
git config --system --add safe.directory '*'